Summary: PoPToP Point to Point Tunneling Server
Name: pptpd
Requires: ppp >= 2.4.3
Version: 1.3.4
Release: 3%{dist}
License: GPL
Group: System Environment/Daemons
Packager: ClearFoundation
URL: http://poptop.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
Source1: pptpd.conf
Source2: pptpd.options
Source3: pptpd.sysv
Patch0: pptpd-1.3.4-install.patch
Patch1: pptpd-1.3.4-install64.patch
BuildRequires: autoconf
BuildRequires: automake
Buildroot: %{_tmppath}/%{name}-root

%description
This implements a Virtual Private Networking Server (VPN) that is
compatible with Microsoft VPN clients. It allows windows users to
connect to an internal firewalled network using their dialup.

%prep
%setup -q
%if "%{_lib}" == "lib64"
%patch1 -p1
%else
%patch0 -p1
%endif

%build
aclocal
autoconf
%configure --enable-bcrelay
make 

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ppp
mkdir -p $RPM_BUILD_ROOT%{_bindir}

install -m 0755 tools/vpnuser $RPM_BUILD_ROOT%{_bindir}/vpnuser
install -m 0755 tools/vpnstats.pl $RPM_BUILD_ROOT%{_bindir}/vpnstats.pl
install -m 0755 tools/pptp-portslave $RPM_BUILD_ROOT%{_sbindir}/pptp-portslave
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/pptpd.conf
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/ppp/options.pptpd
install -m 0755 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/pptpd

%post
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add pptpd
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service pptpd stop >/dev/null 2>&1
    /sbin/chkconfig --del pptpd
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service pptpd condrestart >/dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO ChangeLog*
%{_sbindir}/pptpd
%{_sbindir}/pptpctrl
%{_sbindir}/pptp-portslave
%{_sbindir}/bcrelay
%{_bindir}/vpnuser
%{_bindir}/vpnstats.pl
%{_libdir}/pptpd/pptpd-logwtmp.so
%{_mandir}/man5/pptpd.conf.5*
%{_mandir}/man8/pptpd.8*
%{_mandir}/man8/pptpctrl.8*
%{_sysconfdir}/rc.d/init.d/pptpd
%config(noreplace) %{_sysconfdir}/pptpd.conf
%config(noreplace) %{_sysconfdir}/ppp/options.pptpd

%changelog
* Thu Nov 22 2012 ClearFoundation <developer@clearfoundation.com> - 1.3.4-2
- removed winbind dependency and configuration

* Thu Apr  7 2011 ClearFoundation <developer@clearfoundation.com> - 1.3.4-1.1
- import into ClearFoundation build environment
- added 64-bit fixes

* Fri Feb 18 2005 James Cameron <james.cameron@hp.com>
- fix to use ppp 2.4.3 for plugin

* Thu Nov 11 2004 James Cameron <james.cameron@hp.com>
- adjust for building on Red Hat Enterprise Linux, per Charlie Brady
- remove vpnstats, superceded by vpnstats.pl

* Fri May 21 2004 James Cameron <james.cameron@hp.com>
- adjust for packaging naming and test

* Fri Apr 23 2004 James Cameron <james.cameron@hp.com>
- include vpnwho.pl

* Thu Apr 22 2004 James Cameron <james.cameron@hp.com>
- change description wording
- change URL for upstream
- release first candidate for 1.2.0

* Fri Jul 18 2003 R. de Vroede <richard@oip.tudelft.nl>
- Check the ChangeLog files.
